%define name beagle
%define version 0.0.8.1
%define release 5mdk
%define build_epiphany 1

Summary: GNOME indexing subsystem
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://ftp.gnome.org/pub/GNOME/sources/beagle/%{name}-%{version}.tar.bz2
Source1: beagle-0.0.5-dll.config.tar.bz2
Patch: beagle-0.0.4-debug-typo.patch.bz2
Patch1: beagle-0.0.6.1-firefox.patch.bz2
Patch2: beagle-0.0.8.1-epiphany-1.4.patch.bz2
Patch3: beagle-0.0.8.1-fix-init.patch.bz2
License: MIT/Apache License
Group: Graphical desktop/GNOME
Url: http://www.gnome.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: mono-data-sqlite
BuildRequires: libsqlite-devel
BuildRequires: gnome-sharp-devel
BuildRequires: glade-sharp-devel
BuildRequires: dbus-sharp >= 0.23.1
BuildRequires: dbus-devel
BuildRequires: gmime-sharp >= 2.1.11
BuildRequires: gecko-sharp = 0.6
BuildRequires: evolution-sharp >= 0.6
BuildRequires: gsf-sharp
BuildRequires: libexif-devel
BuildRequires: wv-devel
BuildRequires: mozilla-firefox-devel
BuildRequires: zip
BuildRequires: ImageMagick
Requires: mozilla-firefox = %(rpm -q mozilla-firefox --queryformat '%%{VERSION}')
#gw for inotify
Requires: kernel >= 2.6.10
Requires: dbus-x11
#gw please don't drop these explicit deps, the shared libraries are imported
Requires: %mklibname exif 12


%description
Beagle is an indexing sub-system and search aggregator built on top of
Lucene.Net. It can index your files, mailboxes, your web browsing
behaviour and other things.

%if %build_epiphany
%package epiphany
Summary: Beagle indexing plugin for the epiphany browser
Group: Networking/WWW
Requires: epiphany
BuildRequires: epiphany-devel
Requires: %name = %version-%release
%description epiphany
Beagle is an indexing sub-system and search aggregator built on top of
Lucene.Net. 

Install this package if you want Beagle to index your web surfing behaviour.

NOTE: The Beagle Epiphany Extension Is Totally Insecure! Use it at
your own risk!
%endif

%prep
%setup -q -a 1
%patch -p1
%patch1 -p1
%patch2 -p1 
%patch3 -p1
autoconf

%build
%configure2_5x --with-mozilla=mozilla-firefox --enable-network
#gw parallel build broken
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -f %buildroot%_libdir/epiphany/extensions/libbeagleextension*a \
      %buildroot%_libdir/gtk-2.0/*/filesystems/libbeaglechooserhack*a \
      %buildroot%_libdir/%name/*a

mkdir -p %buildroot%_menudir/
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): \
	command="%{_bindir}/best" \
	needs="X11" \
	section="System/File Tools" \
	startup_notify="true" \
	icon="%name.png" \
	title="Beagle Search" \
	longtitle="Search your data"
EOF

mkdir -p %buildroot{%_liconsdir,%_miconsdir}
convert -scale 48 images/best.png %buildroot%_liconsdir/%name.png
convert -scale 32 images/best.png %buildroot%_iconsdir/%name.png
convert -scale 16 images/best.png %buildroot%_miconsdir/%name.png

#gw TODO: install the mozilla extension
install -m 644 mozilla-extension/beagle.xpi %buildroot%_libdir/beagle/

#gw install the dll config files
cp *.config %buildroot%_libdir/%name/

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING README NEWS AUTHORS ChangeLog 
%_bindir/beagle-exercise-file-system
%_bindir/beagle-imlogviewer
%_bindir/beagle-index-info
%_bindir/beagle-index-url
%_bindir/beagle-ping
%_bindir/beagle-query
%_bindir/beagle-shutdown
%_bindir/beagle-status
%_bindir/beagled
%_bindir/best
%_bindir/searchomatic
%_libdir/%name
%_libdir/gtk-2.0/*/filesystems/libbeaglechooserhack.so*
%_libdir/pkgconfig/beagle*.pc
%_mandir/man1/*
%_datadir/applications/best.desktop
%_datadir/pixmaps/*
%_menudir/%name
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png

%if %build_epiphany
%files epiphany
%defattr(-,root,root)
%doc README
%_libdir/epiphany/extensions/*.so*
%endif

%changelog
* Fri Apr  8 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.8.1-5mdk
- fix application init
- reenable epiphany plugin

* Thu Mar 31 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.8.1-4mdk
- fix buildrequires

* Thu Mar 31 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.8.1-3mdk
- fix buildrequires

* Wed Mar 30 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.8.1-2mdk
- enable network
- requires dbus-x11 (fixes bug #14997)
- fix buildrequires

* Sun Mar 27 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.8.1-1mdk
- update file list
- New release 0.0.8.1

* Fri Mar 25 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 0.0.7-2mdk
- I don't like bad program with requires specific FF version... (fix upgrade from MDK 10.1)

* Thu Mar  3 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.7-1mdk
- update firefox dependancy
- update file list
- new version

* Wed Feb 23 2005 Götz Waschk <waschk@linux-mandrake.com> 0.0.6.1-3mdk
- rebuild for new dbus-sharp

* Wed Feb 23 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.6.1-2mdk
- build with firefox

* Thu Feb 17 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.6.1-1mdk
- disable gst-sharp
- requires new dbus-sharp and gmime-sharp
- New release 0.0.6.1

* Fri Jan 28 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.5-2mdk
- fix buildrequires

* Wed Jan 26 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.5-1mdk
- update the dll configuration
- New release 0.0.5

* Tue Jan 25 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.4-5mdk
- fix a debug message
- fix the menu entry
- fix some DllImports

* Mon Jan 24 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.4-4mdk
- add the mozilla extension
- fix buildrequires

* Sun Jan 23 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.4-3mdk
- fix buildrequires

* Sat Jan 22 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.4-2mdk
- fix buildrequires

* Fri Jan 21 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.0.4-1mdk
- disable epiphany extension
- add the new deps
- New release 0.0.4

* Wed Jul 28 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.0.1-3mdk
- fix menu

* Fri Jun 11 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.0.1-2mdk
- move beagle-epiphany-index to the epiphany package
- add menu entry

* Fri Jun 11 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.0.1-1mdk
- initial package
